unit uFrmGordonRoyle;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmGordonRoyle = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    lblGordonRoyle: TLabel;
    Label4: TLabel;
    Label3: TLabel;
    eGridNo: TEdit;
    btOk: TButton;
    btCancel: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btOkClick(Sender: TObject);
    procedure eGridNoKeyPress(Sender: TObject; var Key: Char);
    procedure lblGordonRoyleClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function GetGridNo : integer;
  end;

var
  frmGordonRoyle: TfrmGordonRoyle;

implementation
uses ShellApi;
{$R *.dfm}

procedure TfrmGordonRoyle.btOkClick(Sender: TObject);
var
  v: integer;
begin
  v := StrToIntDef(eGridNo.Text, -1);
  if (v < 1) or (v>48072)
  then begin
    eGridNo.SetFocus;
    ModalResult := mrNone;
    Raise Exception.Create('Le numro de la grille doit tre compris entre 1 et 48072');
  end;
end;

procedure TfrmGordonRoyle.eGridNoKeyPress(Sender: TObject; var Key: Char);
begin
  if (key < '0') or (key >'9')
  then key := #0;
end;

procedure TfrmGordonRoyle.FormCreate(Sender: TObject);
begin
  eGridNo.text := IntToStr(Random(48072)+1); 
end;

function TfrmGordonRoyle.GetGridNo: integer;
begin
  result := StrToIntDef(eGridNo.Text, 2);
end;

procedure TfrmGordonRoyle.lblGordonRoyleClick(Sender: TObject);
begin
  ShellExecute(handle, 'open', PChar(TLabel(sender).Caption), nil, nil, SW_SHOW);
end;

end.
